import React, { ReactNode } from "react";
import { Image } from "./Image";
import styles from "./MiniTechTalkCard.module.css";

interface TechTalkProps {
  name: string;
  short: string;
  poster?: string;
  children: ReactNode;
}

export function MiniTechTalkCard({ name, poster, short }: TechTalkProps) {
  return (
    <article className={styles.card}>
      <aside>
        {poster && <Image alt={name} src={poster} />}
        {!poster && <div className={styles.spacer}></div>}
      </aside>
      <section className={styles.content}>
        <h3>{name}</h3>
        <p>{short}</p>
      </section>
    </article>
  );
}
